import codecs
import os, sys
import string


command_line_args = sys.argv

if (len(command_line_args) != 2) :
  raise AttributeError("Input file shall be given")

inputfile = command_line_args[1]

if inputfile.find('.')!= -1 :
  outputfile = inputfile[:inputfile.find('.')]

outputfile1 = outputfile + ".var"
outputfile2 = outputfile + ".polys"
outputfile3 = outputfile + ".pac"



f_read = open(inputfile,"r")
contents = f_read.read()
contents = contents.replace('\\','')
contents = contents.replace(')','')
contents = contents.replace('(','')
contents = contents.replace('}','')
contents = contents.replace('{','')
contents = contents.replace(' ','')
contents = contents.replace('"','')
contents = contents.replace('\n','')

proofs = contents.split(';')

f_var = open(outputfile1,"w")
maig=proofs[0]
#maig = maig.replace(',',',\n')
maig = maig.split(',')
var = []
for line in maig:
  if line not in var:
    f_var.write(line +",\n")
    var.append(line)

f_var.write("y")
f_var.close()

S=proofs[1]
f_axm = open(outputfile2,"w")

S = S.split(',')
axm = []
size = 0
leng = 0

for line in S:
  if line not in axm: 
    f_axm.write(line +";\n")
    axm.append(line)
    leng=leng+1
    size = size +line.count('+') + line.count('-')
    if line[0]!='-':
      size=size+1 


f_axm.close()

deg = proofs[-1]
proofs = proofs[2:-1]


f_out = open(outputfile3,"w")


for line in proofs:
  leng = leng +1
  mylist = line.split(',')
  f_out.write(mylist[0]+":"+mylist[1]+","+mylist[2]+","+mylist[3]+";\n")
  size = size +mylist[3].count('+') + mylist[3].count('-') 
  if mylist[3][0]!='-':
    size=size+1

print("Length: " + str(leng))
print("Size: " + str(size)) 
print("Degree: " + deg) 
 
f_out.close()
