import codecs
import os, sys
import string


command_line_args = sys.argv

if (len(command_line_args) != 2) :
  raise AttributeError("Input file shall be given")

inputfile = command_line_args[1]

if inputfile.find('.')!= -1 :
  outputfile = inputfile[:inputfile.find('.')]

inputfile_var = inputfile + ".var"
inputfile_axm = inputfile + ".polys"
inputfile_pcc = inputfile + ".pac"
outputfile = inputfile + ".singular"

f_read = open(inputfile_var,"r")
var = f_read.read()

f_out = open(outputfile,"w")
f_out.write("ring R = 0,("+ var +"),lp;\n")

f_read = open(inputfile_axm,"r")
axm = f_read.read()
axm = axm.replace('\n','')
S = axm.split(';')
S = S[:-1]

print(S)
f_read = open(inputfile_pcc,"r")
pcc = f_read.read()
pcc = pcc.replace('\n','')
pcc = pcc.replace(':',',')
pcc = pcc.split(';')
proofs = pcc[:-1]
refut = 0

for line in proofs:
  mylist = line.split(',')
  print(mylist)
  if mylist[3] is '1':
    refut = 1

  if mylist[0] is '+':
    if mylist[1] in S and mylist[2] in S:
      S.append(mylist[3])
    else: 
      f_out.write("quit;")
      print(mylist)
      sys.exit("incorrect line 1")
  else: 
    if mylist[1] in S:
      S.append(mylist[3])
    else: 
      print(S)
      f_out.write("quit;")
      print(mylist)
      sys.exit("incorrect line 2")

  f_out.write("("+mylist[1]+")"+mylist[0]+"("+mylist[2]+") == "+mylist[3]+";\n")


f_out.write("quit;")
print("membership test succeeded")  
if refut : print("Proof is refutation") 
   



  

f_out.close()
